package cpcns.dingZhi.renshixiangmu.service.impl;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.renshixiangmu.dao.IRenshixiangmuDao;
import cpcns.dingZhi.renshixiangmu.model.renshixiangmu;
import cpcns.dingZhi.renshixiangmu.service.IRenshixiangmuService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("renshixiangmuService")
public class RenshixiangmuServiceImpl extends DangAnBaseServiceImpl<renshixiangmu> implements IRenshixiangmuService {
  @Autowired
  private IRenshixiangmuDao renshixiangmuDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select xingMing,fenLeiHao,dangHao,guiGe,hangBiaoShi,quanZongHao,biaoTi from ")).append(table).append(" where 1=1 and zhuangTai not in(:zhuangTai)");
    tp.put("zhuangTai", new String[] { "3", "4" });
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("quanZongHao");
      if (para != null && para != "") {
        sql.append(" and quanZongHao=:quanZongHao");
        tp.put("quanZongHao", para);
      } 
      para = map.get("xingMing");
      if (para != null && para != "") {
        sql.append(" and xingMing=:xingMing");
        tp.put("xingMing", para);
      } 
      para = map.get("biaoTi");
      if (para != null && para != "") {
        sql.append(" and biaoTi like :biaoTi");
        tp.put("biaoTi", "%" + para + "%");
      } 
      para = map.get("fenLeiHao");
      if (para != null && para != "") {
        sql.append(" and fenLeiHao=:fenLeiHao");
        tp.put("fenLeiHao", para);
      } 
      para = map.get("dangHao");
      if (para != null && para != "") {
        sql.append(" and dangHao like :dangHao");
        tp.put("dangHao", "%" + para + "%");
      } 
      para = map.get("guiGe");
      if (para != null && para != "") {
        sql.append(" and guiGe=:guiGe");
        tp.put("guiGe", para);
      } 
    } 
    return this.renshixiangmuDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
